<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: install.def.php 897 2007-05-06 00:35:11Z Zanix $
 * @link       http://www.wowroster.net
 * @package    Forum
 * @subpackage Installer
*/
 
if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}
 
/**
 * Installer Forum
 *
 * @package    Forum
 * @subpackage Installer
 */
class ForumInstall
{
	var $active = true;
	var $icon = 'inv_misc_note_04';
 
	var $version = '1.9.9.1518';
	var $wrnet_id = '0';
 
	var $fullname = 'forum';
	var $description = 'forum_desc';
	var $credits = array(
	array(	"name"=>	"teta@teta.be",
			"info"=>	"Original Author")
	);
 
 
	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer;
 
		// Master and menu entries
		$installer->add_config("'1','startpage','forum_conf','display','master'");
		$installer->add_config("'110','forum_conf',NULL,'blockframe','menu'");

		$installer->add_config("'1010','forum_name','myforum.com','text{30|30','forum_conf'");
		$installer->add_config("'1020','forum_link','../phpbb','text{30|30','forum_conf'");
 
		$installer->add_menu_button('forumbutton','util');
 
		return true;
	}
 
	/**
	 * Upgrade Function
	 *
	 * @param string $oldversion
	 * @return bool
	 */
	function upgrade($oldversion)
	{
		// Nothing to upgrade from yet
		return true;
	}
 
	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;
 
		$installer->remove_all_config();
 
		$installer->remove_all_menu_button();
		return true;
	}
}